DS_GET_ELEMENT_OFFSET(3)

FUNCTION
ds_get_element_offset - Calculate the offset of the start of a data element in a packet.

SYNOPSIS
#include <karma_ds.h>

unsigned int ds_get_element_offset

(CONST packet_desc *pack_desc, unsigned int elem_num)

DESCRIPTION
Calculate the offset of the start of a data element in a packet.

pack_desc
    The descriptor for the data packet.

elem_num
    The number of the element.

RETURN VALUE
The byte offset of the element in the packet on success, else the length of the packet is returned.

Multi-threading Level
Unsafe.

AUTHOR
Richard Gooch (rgooch@atnf.csiro.au)

AVAILABLITY
The Karma Distribution is available for anonymous ftp from: ftp://ftp.atnf.csiro.au/pub/software/karma/ ftp://wuarchive.wustl.edu/graphics/graphics/packages/karma/ ftp://ftp.pwr.wroc.pl/pub/karma/ The Karma Home Page is: http://www.atnf.csiro.au/karma/